CUDA Driver API (PDF) - v11.0.207 (older) - Last updated June 29, 2020 - Send Feedback

## 6.4. CUDA_EXTERNAL_MEMORY_BUFFER_DESC Struct Reference

## [Data types used by CUDA driver]

External memory buffer descriptor

### Public Variables

unsigned int flags
unsigned long long offset
unsigned long long size

### Variables

unsigned int CUDA_EXTERNAL_MEMORY_BUFFER_DESC::flags [inherited]

  Flags reserved for future use. Must be zero.

unsigned long long CUDA_EXTERNAL_MEMORY_BUFFER_DESC::offset [inherited]

  Offset into the memory object where the buffer's base is

unsigned long long CUDA_EXTERNAL_MEMORY_BUFFER_DESC::size [inherited]

  Size of the buffer